-- <ScriptOptions statementTerminator="/" />
-- Delete the tables in bottom up order so that foreign key references are deleted before
-- the parent table is deleted.
DELETE FROM RAMSCHEMA.PTQUERY_FORUM
/

DELETE FROM RAMSCHEMA.PTQUERY
/

DELETE FROM RAMSCHEMA.PTCONFIG_USER
/

DELETE FROM RAMSCHEMA.PTCONFIG_UGR
/

DELETE FROM RAMSCHEMA.PTCONFIG
/

DELETE FROM RAMSCHEMA.PTREPO
/

DELETE FROM RAMSCHEMA.ATTACHMENT
/

DELETE FROM RAMSCHEMA.POST
/

DELETE FROM RAMSCHEMA.TOPIC
/

DELETE FROM RAMSCHEMA.FORUM
/

DELETE FROM RAMSCHEMA.STALECACHE
/

DELETE FROM RAMSCHEMA.SUBSCRIPTION
/

DELETE FROM RAMSCHEMA.REVIEW_PROCESS
/

DELETE FROM RAMSCHEMA.CONFIGURATION
/

DELETE FROM RAMSCHEMA.REPOSITORYMETRIC
/

DELETE FROM RAMSCHEMA.USERRELATIONSHIP 
/

DELETE FROM RAMSCHEMA.UGRP_RELATIONSHIP 
/

DELETE FROM RAMSCHEMA.GROUPUSERROLE 
/

DELETE FROM RAMSCHEMA.USERGROUP_ROLE
/

DELETE FROM RAMSCHEMA.USERGROUP_USER
/

DELETE FROM RAMSCHEMA.TAG
/

DELETE FROM RAMSCHEMA.TODO_TARGET_UGRP
/

DELETE FROM RAMSCHEMA.TODO
/

DELETE FROM RAMSCHEMA.UGRP_RELATIONSHIP
/

DELETE FROM RAMSCHEMA.USERGROUP
/

DELETE FROM RAMSCHEMA.USER_PREFERENCES
/

DELETE FROM RAMSCHEMA.USERID 
/

DELETE FROM RAMSCHEMA.REPOSROLEENTITLEMENT 
/

DELETE FROM RAMSCHEMA.REPOSITORYROLE 
/

DELETE FROM RAMSCHEMA.AUTOKEYGEN 
/

DELETE FROM RAMSCHEMA.ASSETVERSIONHISTORY 
/

DELETE FROM RAMSCHEMA.ASSET 
/

DELETE FROM RAMSCHEMA.STATE 
/

DELETE FROM RAMSCHEMA.ASSETTYPE_COMMUN
/

DELETE FROM RAMSCHEMA.ASSETTYPE 
/

DELETE FROM RAMSCHEMA.REVIEW_PROCESS
/

DELETE FROM RAMSCHEMA.CLASSIFSCH_COMM
/

DELETE FROM RAMSCHEMA.CLASSIFSCHEMA
/

DELETE FROM RAMSCHEMA.RESOURCEGROUP 
/

DELETE FROM RAMSCHEMA.ASSETRELATIONTYPE
/

DELETE FROM RAMSCHEMA.EXTENSION_POINT
/

INSERT INTO RAMSCHEMA.CONFIGURATION (CONFIG_KEY, VALUE) VALUES('ram.repositoryVersion', '7.1.0.1.v20080613') 
/

INSERT INTO RAMSCHEMA.CONFIGURATION (CONFIG_KEY, VALUE) VALUES('ram.indexVersion', '7.1.v20080505') 
/

INSERT INTO RAMSCHEMA.CONFIGURATION (CONFIG_KEY, VALUE) VALUES('ram.serverPath', 'http://somserver.ibm.com/') 
/

INSERT INTO RAMSCHEMA.CONFIGURATION (CONFIG_KEY, VALUE) VALUES('com.ibm.ram.ws.path', 'http://somserver.ibm.com/') 
/

INSERT INTO RAMSCHEMA.ASSETRELATIONTYPE (NAME, DISPLAY_NAME) VALUES('dependent', 'Dependent')
/

INSERT INTO RAMSCHEMA.ASSETRELATIONTYPE (NAME, DISPLAY_NAME, REVERSE_NAME) VALUES('dependency', 'Dependency', 'dependent')
/

INSERT INTO RAMSCHEMA.ASSETRELATIONTYPE (NAME, DISPLAY_NAME) VALUES('parent', 'Parent')
/

INSERT INTO RAMSCHEMA.ASSETRELATIONTYPE (NAME, DISPLAY_NAME, REVERSE_NAME) VALUES('aggregation', 'Aggregation', 'parent')
/

INSERT INTO RAMSCHEMA.ASSETRELATIONTYPE (NAME, DISPLAY_NAME) VALUES('tutoree', 'Tutorial for')
/

INSERT INTO RAMSCHEMA.ASSETRELATIONTYPE (NAME, DISPLAY_NAME, REVERSE_NAME) VALUES('tutorial', 'Tutorial', 'tutoree')
/

INSERT INTO RAMSCHEMA.ASSETRELATIONTYPE (NAME, DISPLAY_NAME) VALUES('testee', 'Test for')
/

INSERT INTO RAMSCHEMA.ASSETRELATIONTYPE (NAME, DISPLAY_NAME, REVERSE_NAME) VALUES('test', 'Test', 'testee')
/

INSERT INTO RAMSCHEMA.ASSETRELATIONTYPE (NAME, DISPLAY_NAME) VALUES('specification', 'Specification')
/

INSERT INTO RAMSCHEMA.ASSETRELATIONTYPE (NAME, DISPLAY_NAME, REVERSE_NAME) VALUES('implementation', 'Implementation', 'specification')
/

-- Certain ID's are hardcoded and required.
-- User ID 0 - AnyUser (Anonymous) - the external id is hard coded too: ram.anyuser
-- User ID 1 - RegisteredUser - the external id is hard coded too: ram.registereduser
-- Group ID 0 - Repository Admin Group
-- Role ID 0 - Default Admin Role
-- Role ID 1 - Default Owner Role

-- State ID 1 - Draft
-- State ID 2 - Plan review
-- State ID 3 - Review
-- State ID 4 - Evaluate review
-- State ID 5 - Approved
-- State ID 6 - Retired
-- State ID 7 - As is
-- State ID 8 - Archived

-- Build the Resource Group table.

INSERT INTO RAMSCHEMA.RESOURCEGROUP (ID, NAME, DESCRIPTION) VALUES (0, 'Repository Admin Group', 'Master Administration group. Not used for assets.') 
/

INSERT INTO RAMSCHEMA.REPOSITORYROLE (ID, NAME, RESOURCEGROUPID, ROLE_TYPE, DESCRIPTION) VALUES (0, 'Administrator', 0, 1, 'Has administration capability.')
/

INSERT INTO RAMSCHEMA.REPOSITORYROLE (ID, NAME, RESOURCEGROUPID, ROLE_TYPE, TEST_DATA, DESCRIPTION) VALUES (1, 'Asset Owner', 0, 2, '<?xml version="1.0" encoding="UTF-8"?><sdo:AssetOwnerTest xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:sdo="http:///com/ibm/ram/repository/sdo.ecore"/>', 'Owners of assets will have the capabilities of this role for assets that they own.')
/

INSERT INTO RAMSCHEMA.REPOSITORYROLE (ID, NAME, RESOURCEGROUPID, DESCRIPTION) VALUES (2, 'Asset Producer', 0, 'Can upload and create assets.')
/

INSERT INTO RAMSCHEMA.REPOSITORYROLE (ID, NAME, RESOURCEGROUPID, DESCRIPTION) VALUES (3, 'Asset Consumer', 0, 'Can browse and download assets.')
/

INSERT INTO RAMSCHEMA.REPOSITORYROLE (ID, NAME, RESOURCEGROUPID, ROLE_TYPE, TEST_DATA, DESCRIPTION) VALUES (4, 'Asset Reviewer', 0, 2, '<?xml version="1.0" encoding="UTF-8"?><sdo:ReviewerTest xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:sdo="http:///com/ibm/ram/repository/sdo.ecore"/>', 'Reviewers can review an asset.')
/

INSERT INTO RAMSCHEMA.REPOSITORYROLE (ID, NAME, RESOURCEGROUPID, ROLE_TYPE, TEST_DATA, DESCRIPTION) VALUES (5, 'Asset Review Board', 0, 2, '<?xml version="1.0" encoding="UTF-8"?><sdo:ReviewBoardTest xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:sdo="http:///com/ibm/ram/repository/sdo.ecore"/>', 'Review board members can run a review for an asset.')
/

INSERT INTO RAMSCHEMA.REPOSITORYROLE (ID, NAME, RESOURCEGROUPID, ROLE_TYPE, TEST_DATA, DESCRIPTION) VALUES (6, 'Search', 0, 14, '<?xml version="1.0" encoding="UTF-8"?><sdo:PublishedStateFixedTest xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:sdo="http:///com/ibm/ram/repository/sdo.ecore" kind="Search"/>', 'Search asset when in published state.')
/

INSERT INTO RAMSCHEMA.REPOSITORYROLE (ID, NAME, RESOURCEGROUPID, ROLE_TYPE, TEST_DATA, DESCRIPTION) VALUES (7, 'Read', 0, 14, '<?xml version="1.0" encoding="UTF-8"?><sdo:PublishedStateFixedTest xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:sdo="http:///com/ibm/ram/repository/sdo.ecore" kind="Read"/>', 'Read asset details when in published state.')
/

INSERT INTO RAMSCHEMA.REPOSITORYROLE (ID, NAME, RESOURCEGROUPID, ROLE_TYPE, TEST_DATA, DESCRIPTION) VALUES (8, 'Download', 0, 14, '<?xml version="1.0" encoding="UTF-8"?><sdo:PublishedStateFixedTest xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:sdo="http:///com/ibm/ram/repository/sdo.ecore" kind="Download"/>', 'Download asset when in published state.')
/

-- Entitlements Table, the entitlement ids are just numbers. There is a EMF Enumeration that relates the numbers to their meaning.
-- Entitlements are:
-- 0	Admin
-- 1	Use schema - not used
-- 2	Create asset
-- 3	Search asset
-- 4	Update asset
-- 5	Delete asset
-- 6	Download asset
-- 7	Review asset
-- 8	Subscribe to asset
-- 9	Review board
-- 10	Browse artifact - not used
-- 11	Create schema - not used
-- 12	Add artifact to asset - not used
-- 13   Read asset detail
-- 14   Browse asset - not used
-- 15   Forum Admin
-- 16   Publish Admin

-- Console admin
INSERT INTO RAMSCHEMA.REPOSROLEENTITLEMENT (REPOSROLEID, ENTITLEID) VALUES(0, 0) 
/

-- Asset Producer role
INSERT INTO RAMSCHEMA.REPOSROLEENTITLEMENT (REPOSROLEID, ENTITLEID) VALUES(2, 2) 
/

INSERT INTO RAMSCHEMA.REPOSROLEENTITLEMENT (REPOSROLEID, ENTITLEID) VALUES(2, 3) 
/

INSERT INTO RAMSCHEMA.REPOSROLEENTITLEMENT (REPOSROLEID, ENTITLEID) VALUES(2, 4) 
/

INSERT INTO RAMSCHEMA.REPOSROLEENTITLEMENT (REPOSROLEID, ENTITLEID) VALUES(2, 6) 
/

INSERT INTO RAMSCHEMA.REPOSROLEENTITLEMENT (REPOSROLEID, ENTITLEID) VALUES(2, 8) 
/

INSERT INTO RAMSCHEMA.REPOSROLEENTITLEMENT (REPOSROLEID, ENTITLEID) VALUES(2, 13) 
/

-- Asset Consumer role
INSERT INTO RAMSCHEMA.REPOSROLEENTITLEMENT (REPOSROLEID, ENTITLEID) VALUES(3, 3) 
/

INSERT INTO RAMSCHEMA.REPOSROLEENTITLEMENT (REPOSROLEID, ENTITLEID) VALUES(3, 6) 
/

INSERT INTO RAMSCHEMA.REPOSROLEENTITLEMENT (REPOSROLEID, ENTITLEID) VALUES(3, 8) 
/

INSERT INTO RAMSCHEMA.REPOSROLEENTITLEMENT (REPOSROLEID, ENTITLEID) VALUES(3, 13) 
/

-- Asset Reviewer role
INSERT INTO RAMSCHEMA.REPOSROLEENTITLEMENT (REPOSROLEID, ENTITLEID) VALUES(4, 3) 
/

INSERT INTO RAMSCHEMA.REPOSROLEENTITLEMENT (REPOSROLEID, ENTITLEID) VALUES(4, 4) 
/

INSERT INTO RAMSCHEMA.REPOSROLEENTITLEMENT (REPOSROLEID, ENTITLEID) VALUES(4, 6) 
/

INSERT INTO RAMSCHEMA.REPOSROLEENTITLEMENT (REPOSROLEID, ENTITLEID) VALUES(4, 7) 
/

INSERT INTO RAMSCHEMA.REPOSROLEENTITLEMENT (REPOSROLEID, ENTITLEID) VALUES(4, 8) 
/

INSERT INTO RAMSCHEMA.REPOSROLEENTITLEMENT (REPOSROLEID, ENTITLEID) VALUES(4, 13) 
/

-- Asset Review Board role
INSERT INTO RAMSCHEMA.REPOSROLEENTITLEMENT (REPOSROLEID, ENTITLEID) VALUES(5, 3) 
/

INSERT INTO RAMSCHEMA.REPOSROLEENTITLEMENT (REPOSROLEID, ENTITLEID) VALUES(5, 4) 
/

INSERT INTO RAMSCHEMA.REPOSROLEENTITLEMENT (REPOSROLEID, ENTITLEID) VALUES(5, 5) 
/

INSERT INTO RAMSCHEMA.REPOSROLEENTITLEMENT (REPOSROLEID, ENTITLEID) VALUES(5, 6) 
/

INSERT INTO RAMSCHEMA.REPOSROLEENTITLEMENT (REPOSROLEID, ENTITLEID) VALUES(5, 8) 
/

INSERT INTO RAMSCHEMA.REPOSROLEENTITLEMENT (REPOSROLEID, ENTITLEID) VALUES(5, 9) 
/

INSERT INTO RAMSCHEMA.REPOSROLEENTITLEMENT (REPOSROLEID, ENTITLEID) VALUES(5, 13) 
/

-- Asset Owner
INSERT INTO RAMSCHEMA.REPOSROLEENTITLEMENT (REPOSROLEID, ENTITLEID) VALUES(1, 3) 
/

INSERT INTO RAMSCHEMA.REPOSROLEENTITLEMENT (REPOSROLEID, ENTITLEID) VALUES(1, 4) 
/

INSERT INTO RAMSCHEMA.REPOSROLEENTITLEMENT (REPOSROLEID, ENTITLEID) VALUES(1, 5) 
/

INSERT INTO RAMSCHEMA.REPOSROLEENTITLEMENT (REPOSROLEID, ENTITLEID) VALUES(1, 6) 
/

INSERT INTO RAMSCHEMA.REPOSROLEENTITLEMENT (REPOSROLEID, ENTITLEID) VALUES(1, 8) 
/

INSERT INTO RAMSCHEMA.REPOSROLEENTITLEMENT (REPOSROLEID, ENTITLEID) VALUES(1, 13) 
/

-- Search
INSERT INTO RAMSCHEMA.REPOSROLEENTITLEMENT (REPOSROLEID, ENTITLEID) VALUES(6, 3) 
/

-- Read
INSERT INTO RAMSCHEMA.REPOSROLEENTITLEMENT (REPOSROLEID, ENTITLEID) VALUES(7, 3) 
/

INSERT INTO RAMSCHEMA.REPOSROLEENTITLEMENT (REPOSROLEID, ENTITLEID) VALUES(7, 8) 
/

INSERT INTO RAMSCHEMA.REPOSROLEENTITLEMENT (REPOSROLEID, ENTITLEID) VALUES(7, 13) 
/

 
-- Download
INSERT INTO RAMSCHEMA.REPOSROLEENTITLEMENT (REPOSROLEID, ENTITLEID) VALUES(8, 3) 
/

INSERT INTO RAMSCHEMA.REPOSROLEENTITLEMENT (REPOSROLEID, ENTITLEID) VALUES(8, 8) 
/

INSERT INTO RAMSCHEMA.REPOSROLEENTITLEMENT (REPOSROLEID, ENTITLEID) VALUES(8, 13) 
/

INSERT INTO RAMSCHEMA.REPOSROLEENTITLEMENT (REPOSROLEID, ENTITLEID) VALUES(8, 6) 
/

 

-- Standard Users
INSERT INTO RAMSCHEMA.USERID (ID, NAME, USERID, EMAIL_FORMAT) VALUES (0, 'Anonymous User', 'ram.anyuser', 1) 
/

INSERT INTO RAMSCHEMA.USERID (ID, NAME, USERID, EMAIL_FORMAT) VALUES (1, 'Signed-in users', 'ram.registereduser', 1) 
/

INSERT INTO RAMSCHEMA.USERID (ID, NAME, EMAIL, PHONE, USERID, EMAIL_FORMAT) VALUES (100, 'Master Administrator', 'admin@somwhere.com', '555-4556', 'admin', 1) 
/

-- User Admin has Repository Admin Group access
INSERT INTO RAMSCHEMA.GROUPUSERROLE (USERID, REPOSITORYROLEID) VALUES (100, 0) 
/

-- Registered user must have the special roles Review Board, Reviewer, Asset Owner, Search, Read, and Download for the system to work correctly.
INSERT INTO RAMSCHEMA.GROUPUSERROLE (USERID, REPOSITORYROLEID) VALUES (1, 1) 
/

INSERT INTO RAMSCHEMA.GROUPUSERROLE (USERID, REPOSITORYROLEID) VALUES (1, 4) 
/

INSERT INTO RAMSCHEMA.GROUPUSERROLE (USERID, REPOSITORYROLEID) VALUES (1, 5) 
/

INSERT INTO RAMSCHEMA.GROUPUSERROLE (USERID, REPOSITORYROLEID) VALUES (1, 6) 
/

INSERT INTO RAMSCHEMA.GROUPUSERROLE (USERID, REPOSITORYROLEID) VALUES (1, 7) 
/

INSERT INTO RAMSCHEMA.GROUPUSERROLE (USERID, REPOSITORYROLEID) VALUES (1, 8) 
/

-- Build the state table.
INSERT INTO RAMSCHEMA.STATE (ID, NAME) VALUES(1, 'Draft') 
/

INSERT INTO RAMSCHEMA.STATE (ID, NAME) VALUES(2, 'Plan review') 
/

INSERT INTO RAMSCHEMA.STATE (ID, NAME) VALUES(3, 'Review') 
/

INSERT INTO RAMSCHEMA.STATE (ID, NAME) VALUES(4, 'Evaluate review') 
/

INSERT INTO RAMSCHEMA.STATE (ID, NAME) VALUES(5, 'Approved') 
/

INSERT INTO RAMSCHEMA.STATE (ID, NAME) VALUES(6, 'Retired') 
/

INSERT INTO RAMSCHEMA.STATE (ID, NAME) VALUES(7, 'As is') 
/

INSERT INTO RAMSCHEMA.STATE (ID, NAME) VALUES(8, 'Archived') 
/

-- Add an empty asset type schema.
INSERT INTO RAMSCHEMA.CLASSIFSCHEMA (URI, FRAGMENT, NAME, LAST_MODIFIED, CL_COLLISION, CL_SHARED, CL_SCHEMA) VALUES('classif/assetTypesSchema.xmi','/','AssetTypes', LOCALTIMESTAMP, 0, 0, '<?xml version="1.0" encoding="UTF-8"?><defaultprofile:ClassificationSchema xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:defaultprofile="http:///defaultprofile.ecore" name="AssetTypes"><descriptor xsi:type="defaultprofile:NodeDescriptor" xmi:id="comibmramassettypenode" name="AssetType" exclusive="true"><description value="Asset Type Definitions"/></descriptor><descriptor xsi:type="defaultprofile:NodeDescriptor" xmi:id="comibmramrestrictednode" name="RestrictedAttributes" exclusive="false"><description value="Restricted Attribute Definitions"/></descriptor></defaultprofile:ClassificationSchema>')
/

-- Auto key gen table.

INSERT INTO RAMSCHEMA.AUTOKEYGEN(IDENTIFIER) VALUES(1)
/

COMMIT
/
